<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:11 CET 2015 -->
<title>PhysicalInventoryHeader (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PhysicalInventoryHeader (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventory.Lines.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryLines.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html" target="_top">Frames</a></li>
<li><a href="PhysicalInventoryHeader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory</div>
<h2 title="Class PhysicalInventoryHeader" class="title">Class PhysicalInventoryHeader</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">com.openbravo.test.integration.erp.testscripts.SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/physicalinventory/PhysicalInventoryHeaderData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory">PhysicalInventoryHeaderData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">HeaderTab</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory.PhysicalInventoryHeader</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/PhysicalInventoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">PhysicalInventoryWindow</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PhysicalInventoryHeader</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/physicalinventory/PhysicalInventoryHeaderData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory">PhysicalInventoryHeaderData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">HeaderTab</a>&gt;
implements <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/PhysicalInventoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">PhysicalInventoryWindow</a>&gt;</pre>
<div class="block">Executes and verifies actions on the Physical Inventory Header tab of OpenbravoERP.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#mainPage">mainPage</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html#PhysicalInventoryHeader-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">PhysicalInventoryHeader</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html#createInventoryCountList-com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory.CreateInventoryCountListData-int-int-">createInventoryCountList</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/physicalinventory/CreateInventoryCountListData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory">CreateInventoryCountListData</a>&nbsp;data,
                        int&nbsp;inserted,
                        int&nbsp;updated)</code>
<div class="block">Create Inventory Count List.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory">PhysicalInventoryHeader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html#open--">open</a></span>()</code>
<div class="block">Open the Physical Inventory window.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html#processInventoryCount--">processInventoryCount</a></span>()</code>
<div class="block">Process the Inventory Count.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">HeaderTab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html#selectTab--">selectTab</a></span>()</code>
<div class="block">Select and return the Physical Inventory Header tab.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertCount-int-">assertCount</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertData-D-">assertData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicExpanded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertSaved--">assertSaved</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#cancelOnGrid--">cancelOnGrid</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#closeForm--">closeForm</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#create-D-">create</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#edit-D-">edit</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#filter-D-">filter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData--">getData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData-java.lang.String-">getData</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getRecordCount--">getRecordCount</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getTab--">getTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#select-D-">select</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PhysicalInventoryHeader-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PhysicalInventoryHeader</h4>
<pre>public&nbsp;PhysicalInventoryHeader(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory">PhysicalInventoryHeader</a>&nbsp;open()</pre>
<div class="block">Open the Physical Inventory window.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html#open--">open</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/PhysicalInventoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">PhysicalInventoryWindow</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this Physical Inventory Header script.</dd>
</dl>
</li>
</ul>
<a name="selectTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectTab</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">HeaderTab</a>&nbsp;selectTab()</pre>
<div class="block">Select and return the Physical Inventory Header tab.
 
 Before this, the Physical Inventory window must be opened.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#selectTab--">selectTab</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/physicalinventory/PhysicalInventoryHeaderData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory">PhysicalInventoryHeaderData</a>,<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/HeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory">HeaderTab</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Physical Inventory Header tab GUI object.</dd>
</dl>
</li>
</ul>
<a name="createInventoryCountList-com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory.CreateInventoryCountListData-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInventoryCountList</h4>
<pre>public&nbsp;void&nbsp;createInventoryCountList(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/warehouse/transactions/physicalinventory/CreateInventoryCountListData.html" title="class in com.openbravo.test.integration.erp.data.warehouse.transactions.physicalinventory">CreateInventoryCountListData</a>&nbsp;data,
                                     int&nbsp;inserted,
                                     int&nbsp;updated)</pre>
<div class="block">Create Inventory Count List.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - The data of the Inventory Count that will be create.</dd>
<dd><code>inserted</code> - The number of records inserted.</dd>
<dd><code>updated</code> - The number of records updated</dd>
</dl>
</li>
</ul>
<a name="processInventoryCount--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>processInventoryCount</h4>
<pre>public&nbsp;void&nbsp;processInventoryCount()
                           throws <a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTestException.html" title="class in com.openbravo.test.integration.erp.testscripts">OpenbravoERPTestException</a></pre>
<div class="block">Process the Inventory Count.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTestException.html" title="class in com.openbravo.test.integration.erp.testscripts">OpenbravoERPTestException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventory.Lines.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryLines.html" title="class in com.openbravo.test.integration.erp.testscripts.warehouse.transactions.physicalinventory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/warehouse/transactions/physicalinventory/PhysicalInventoryHeader.html" target="_top">Frames</a></li>
<li><a href="PhysicalInventoryHeader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
